Subject: Re: bug#17408: 24.4.50; tooltips make ms-window go top

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 May 2014 18:08:41 +0300

> Date: Tue, 06 May 2014 16:46:37 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> Actually a complete solution was even easier. First I noticed that a 
> Java app I use (muCommander) also retreats from displaying tooltips when 
> the app is inactive. Then a Google search gave me this JDK bug report 
> [1]. And once the SWP_NOOWNERZORDER flag was mentioned, the rest was a 
> walk in a park.
> 
> Double checking what flags others use for their tooltips revealed 
> nothing more, see this for example [3].
> 
> Attaching a patch that applies this flag to our tooltip SetWindowPos [2] 
> invocations, in w32fns.c. Works for me. Tested on trunk and emacs24.
> 
> If you agree, I might commit this to emacs24.

Looks good, thanks.  But please use the SWP_* flags explicitly, I see
no reason to define a special macro for 2 of them when all the rest
are spelled out.

Other than that, please go ahead and commit to emacs-24.